Skip to main content
GET
Query Wan video tasks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-debugger-mode
string
default:true

Path Parameters

id
string
required

Unique identifier for the video generation task.

Response

200 - application/json

Response parameters for GET /v1/videos/{id}. Data is returned only when the task status is completed.

created
integer
required

Video task creation time, Unix timestamp, unit is seconds.

Required range: x >= 0
Example:

1789108566

id
string
required

The unique identifier of the video generation task.

Minimum string length: 1
Example:

"9552de3d-171f-4cca-b492-7baa56523239"

model
string
required

The model ID used when creating the video task.

Minimum string length: 1
Example:

"bytedance/seedance-2.0-mini"

prompt
string
required

Prompt word submitted when creating a video task.

Example:

"A golden retriever runs on the beach at sunset. The camera follows steadily, and the picture presents a natural and delicate film quality."

status
enum<string>
required

Task status. pending means waiting for processing; queue means queuing; in_progress means generation or platform processing is in progress; completed means both video and OSS resources have been processed; failed means failure; cancelled means canceled; expired means expired.

Available options:
pending,
queue,
in_progress,
completed,
failed,
cancelled,
expired
Example:

"in_progress"

usage
object
required

Usage information for video tasks.

data
object[]

Video task results. Returned only if status is completed.

Required array length: 3 elements
error
object

Task failure information. Usually only returned if status is failed.